db.connect driver=pg database="dbname=grasstest,user=grassuser,password=gograss"

# Now load the old dbf-file into postgresql
# Please insert the path to your grass location with mapset instead of 
# /home/silke/grass-data/test3/silke
db.copy from_driver=dbf from_database=/home/silke/grass-data/test3/silke/dbf/ \
from_table=countries to_driver=pg\
to_database="dbname=grasstest,user=grassuser,password=gograss"\
to_table=population

# You can now list all available tables in your database:
db.tables -p

# connect vector map to new table:
v.db.connect map=countries table=population key=cat \
database='dbname=grasstest,user=grassuser,password=gograss' driver=pg -o

# Please check whether you have been successful:
v.db.connect -p countries

# now add a new column to the table
echo "alter table population add column ratio_f_m float;" | db.execute
# was it successful?
db.describe -c population

# afterwards you can update the table (set values into the new column)
echo "update population set ratio_f_m = 100 * float4(female)/float4(male) where male <> 0;" | db.execute

# look if you have been successful
db.select sql='select ratio, ratio_f_m from population;'

# now the visualisation of the data is possible
 d.mon x0
 d.vect map=countries  fcolor=255:0:0  type=area where='ratio_f_m > 100'
 d.vect map=countries  fcolor=0:255:0  type=area where='ratio_f_m <= 100'

# you can export the data as shapefile
 v.out.ogr input=countries dsn='mycountry' layer=newcountry\
format=ESRI_Shapefile type=area

# in ./mycountry you will now find the shapefile newcountry which you can load
# into thuban. In thuban the classification possibilites are easier to use
# than in grass.

# You can also write all GRASS commands in a Shell-Script and excute them
# alltogether.
